/**
 * Created by pc on 2015/12/7.
 */

exports.js = {
    "dir": "/js",
    "config_file": "js_plugin.json",
    "extname": ["js"],
    "type": {
        1: {
            "name": "函数库",
            "key": "function",
            "code": 1
        },
        2: {
            "name": "类",
            "key": "class",
            "code": 2
        },
        3: {
            "name": "其他",
            "key": "other",
            "code": 3
        }

    }
}

exports.widget = {
    "init": {
        "clean": {
            "type": "clean",
            "name": "集成板",
            "des": "使用widget.js作为基础，具有initial,init,format的模板"
        },
        "vue": {
            "type": "vue",
            "name": "VUE集成板",
            "des": "使用widget.js作为基础，具有initial,init,format的模板,并且使用VUE作为VM"
        },
        "normal": {
            "type": "normal",
            "name": "普通版本",
            "des": "初期的版本"
        }
    },
    "type": {
        "clean": {
            "name": "clean",
            "des": "集成板"
        },
        "normal": {
            "name": "normal",
            "des": "普通版"
        },
        "other": {
            "name": "other",
            "des": "其他"
        }
    },
    "setup": "/setup/widget",
    "json_name": "config.json",
    "admin_configjson": "module.json",
    "admin_config_default": {
        "name": "",
        "user": "",
        "versionlist": {},
        "version": false,
        "update": {}
    }
}

exports.page = {
    "dir": "page",
    "extname": ".tpl.html",
    "setup": "/setup/page",
    "init": {
        "pc": {
            "type": "pc",
            "name": "PC版本",
            "des": "适用于PC版本，包含HTML5以下的头部标准"
        },
        "wap": {
            "type": "wap",
            "name": "手机版",
            "des": "适用于WAP版本，HTML5头部标准"
        }
    }
}

exports.config = {
    "widgetdemo": "demo"
}




exports.handlebars = {
    "helper": ["if", "else", "unless", "each"]
}

exports.plugins = {
    "fgp_widget": {
        "isuse": true,
        "dir": "/widget",
        "extname": "handlebars",
        "vue": true
    },
    //配置SVN
    "fgp_svn": {
        "isuse": false,
        "without_name": "",
        "auto_complete_in_dest": "",
        "svn_name": "",
        "route": {}
    },
    "fgp_clean": {
        "isuse": true,
        "outside_plugin": {}
    },
    //配置PJAX
    "fgp_pjax": {
        "isuse": false,
        "file": "",
        "phpconfig": "",
        //configjs:"/js/lib/baseconfig.js",
        "htmldir": "page",
        "configfile": "",
        "basesrc": ""
    },
    "fgp_const": {
        "isuse": true,
        "data": {}
    },
    "fgp_gpseajswrapper": {
        "isuse": true,
        "wrap": ""
    },
    //配置fgp seajs
    "fgp_seajs": {
        "isuse": true,
        "src": "/js/lib/sea_config.js",
        "seaconfig": {
            "config": {
                "charset": "",
                "alias": {},
                "paths": {},
                "base": "",
                "debug": ""
            }
        }
    },
}

exports.deploy = {
    "type":"  ",
    "encoding":{},
    "gpdeliver":{
        /**
         * 清理命令
         * all:只保留和HTML有关的
         * pack:已经合并的文件不让输出
         */
        "clean_up":"all",
        //"inherit":true
    },
    "/^\\/page(.*?\\.tpl.html)$/i": {
        "gpsvn":{
            "auto_complete_in_watch": true,
            "release":'$1'
        }
    }
}