/**
 * Created by Bosco on 2015/4/28.
 */
var fgp=require("./libs/fgp.js");
var fgp_tools = require("./libs/gptools.js");
var fis = module.exports = require('fis3');


fis.require.prefixes.unshift('foo');
fis.cli.name = 'fghostpig4';
fis.cli.info = require('./package.json');
fis.gptools = fgp_tools;

fis.fgp = fgp;
fis.fgp.page = fgp.page;

fis.match('::package', {
    prepackager: [
        fis.plugin('gpseajs'),
        fis.plugin('gphtmldepends'),
        fis.plugin('gpdepends')
    ],
    spriter: fis.plugin('csssprites'),
    postpackager: [
        fis.plugin('gppjax'),
        fis.plugin('gpclean'),
        fis.plugin('autoload'),
        fis.plugin('simple',{
            autoReflow:true
        }),
        fis.plugin('gpplugin'),
        fis.plugin('gpblacklist'),
    ]
});

//忽略某些文件
fis.set('project.ignore', [
    '.idea/**',
    'output/**',
    'node_modules/**',
    '.git/**',
    '.svn/**',
    "**___jb_tmp___",
    "**[object Object**",
    ".gitignore"
]);



fis.config.set('livereload.port', 35729);



//require("fs").writeFile("text.txt","sdfsdf");